/*
 * This file is part of SpongeAPI, licensed under the MIT License (MIT).
 *
 * Copyright (c) SpongePowered <https://www.spongepowered.org>
 * Copyright (c) contributors
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 * THE SOFTWARE.
 */
package org.spongepowered.api.world.gen;

/**
 * An enumeration of all possible {@link PopulatorType}s available in vanilla
 * minecraft.
 */
public final class PopulatorTypes {

    public static final PopulatorType BIG_MUSHROOM = null;
    public static final PopulatorType BLOCK_BLOB = null;
    public static final PopulatorType CACTUS = null;
    public static final PopulatorType DEAD_BUSH = null;
    public static final PopulatorType DESERT_WELL = null;
    public static final PopulatorType DOUBLE_PLANT = null;
    public static final PopulatorType DUNGEON = null;
    public static final PopulatorType ENDER_CRYSTAL_PLATFORM = null;
    public static final PopulatorType FLOWER = null;
    public static final PopulatorType FOREST = null;
    public static final PopulatorType GLOWSTONE = null;
    public static final PopulatorType ICE_PATH = null;
    public static final PopulatorType ICE_SPIKE = null;
    public static final PopulatorType LAKE = null;
    public static final PopulatorType MELON = null;
    public static final PopulatorType MUSHROOM = null;
    public static final PopulatorType NETHER_FIRE = null;
    public static final PopulatorType ORE = null;
    public static final PopulatorType PUMPKIN = null;
    public static final PopulatorType GENERIC_BLOCK = null;
    public static final PopulatorType GENERIC_OBJECT = null;
    public static final PopulatorType REED = null;
    public static final PopulatorType SEA_FLOOR = null;
    public static final PopulatorType SHRUB = null;
    public static final PopulatorType VINE = null;
    public static final PopulatorType WATER_LILY = null;

    private PopulatorTypes() {
    }

}
